Package graph

## Class GraphOptions

- java.lang.Object
- - graph.GraphOptions

-     public class GraphOptions
      extends Object

  Die Klasse GraphOptions speichert, wie ein Graph in einem Fenster vom GraphPlotter angezeigt wird.
  Version:
    v6.7 (9.12.2020)
  Author:
    Thomas Schaller

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `auswahl` |
    `boolean` | `bildAnzeigen` |
    `String` | `bildDatei` |
    `String[]` | `farbenKanten` |
    `String[]` | `farbenKnoten` |
    `int` | `fokusArt` |
    `GraphElement` | `parent` |
    `boolean` | `saveAsMatrix` |
    `boolean` | `showEdgeWeights` |
    `boolean` | `showVertexInfo` |
    `boolean` | `showVertexText` |
    `boolean` | `showVertexValue` |
    `String[]` | `stdFarbenKanten` |
    `String[]` | `stdFarbenKnoten` |
    `int` | `vertexSize` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GraphOptions()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GraphOptions` | `copy()` |
    `String` | `getText()` |
    `void` | `ladeGraph​(Table csvParser)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bildDatei

          public String bildDatei

    - #### bildAnzeigen

          public boolean bildAnzeigen

    - #### vertexSize

          public int vertexSize

    - #### showEdgeWeights

          public boolean showEdgeWeights

    - #### showVertexValue

          public boolean showVertexValue

    - #### showVertexText

          public boolean showVertexText

    - #### showVertexInfo

          public boolean showVertexInfo

    - #### saveAsMatrix

          public boolean saveAsMatrix

    - #### stdFarbenKnoten

          public String[] stdFarbenKnoten

    - #### stdFarbenKanten

          public String[] stdFarbenKanten

    - #### farbenKnoten

          public String[] farbenKnoten

    - #### farbenKanten

          public String[] farbenKanten

    - #### fokusArt

          public int fokusArt

    - #### parent

          public GraphElement parent

    - #### auswahl

          public int auswahl

  - ### Constructor Detail

    - #### GraphOptions

          public GraphOptions()

  - ### Method Detail

    - #### ladeGraph

          public void ladeGraph​(Table csvParser)

    - #### getText

          public String getText()

    - #### copy

          public GraphOptions copy()